#include <bits/stdc++.h>
#define ll long long
using namespace std;
ll N,M,suma=0,suma2=0;
ll mat[10000][10000],ps[10000][10000];
void Nje2(){
    suma=0;
    suma2=0;
    for(int i=1;i<M;i++)suma+=mat[2][i];
    for(int i=2;i<=M;i++)suma2+=mat[1][i];
    cout<<min(suma,suma2)<<endl;
    exit(0);
}
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>N>>M;
    for(int i=1;i<=N;i++){
        for(int j=1;j<=M;j++){
            cin>>mat[i][j];

        }
    }
    if(N==2)Nje2();



return 0;
}